commit: d5b7062146d6d46aef5590051a7f3b931665625a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 5 04:05:48 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 5 04:10:15 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5b70621
dev-python/pocketlint: Bump to 0.26
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pocketlint/Manifest | 1 +
dev-python/pocketlint/pocketlint-0.26.ebuild | 33 ++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/pocketlint/Manifest b/dev-python/pocketlint/Manifest
index c7f40bfeab45..69621ccea8fe 100644
--- a/dev-python/pocketlint/Manifest
+++ b/dev-python/pocketlint/Manifest
@@ -1 +1,2 @@
DIST pocketlint-0.25.gh.tar.gz 23931 BLAKE2B
e8254477223ea0e631129778cc760ef57d34adb78f783258c8c097f7eac1acfe4cb00d21bc9aff576fbfab2bb3f7b687de33b3bc1f02c8d083d690a2e392bbac
SHA512
dcb21ee147839a606520370f948594fc695c779a03d9edfb054dd6c07f4dd1c4ad0b64ccaad504da01e3b6c572ce27db8813ac8b61468d43e3745b5053a4edb7
+DIST pocketlint-0.26.gh.tar.gz 24471 BLAKE2B
608cbb35ae8d4dccc80aa2d50fafa0bdc8e6c08eb89521ceb166a794624784d39709451b628c5c262db5597c2f6a2766ad7f5ce4ec8b85bde14b76a72b7808b5
SHA512
91c8e7a063af008be04a734d265feb0efb6cd701bf29acf890d7a9c1b12d62256cb6930488bc57f4506aa1445e8edaae8b6d6169b730f11b7775f18379e51678
diff --git a/dev-python/pocketlint/pocketlint-0.26.ebuild
b/dev-python/pocketlint/pocketlint-0.26.ebuild
new file mode 100644
index 000000000000..dce5c8f8bc85
--- /dev/null
+++ b/dev-python/pocketlint/pocketlint-0.26.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Shared code for running pylint against rhinstaller projects"
+HOMEPAGE="
+ https://github.com/rhinstaller/pocketlint/
+ https://pypi.org/project/pocketlint/
+"
+SRC_URI="
+ https://github.com/rhinstaller/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc
~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/polib[${PYTHON_USEDEP}]
+ dev-python/pylint[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" tests/pylint/runpylint.py || die "test failed with
${EPYTHON}"
+}